/*********************************************************************
 * Copyright (c) 2004, 2007 Boeing
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     Boeing - initial API and implementation
 **********************************************************************/

package org.eclipse.osee.ote.core.framework.saxparse.elements;

/**
 * @author Andrew M. Finkbeiner
 */
public class SystemInfoData {

   private final String osArch;
   private final String osName;
   private final String osVersion;
   private final String oseeVersion;
   private final String oseeServerTitle;

   /**
    * @return the osArch
    */
   public String getOsArch() {
      return osArch;
   }

   /**
    * @return the osName
    */
   public String getOsName() {
      return osName;
   }

   /**
    * @return the osVersion
    */
   public String getOsVersion() {
      return osVersion;
   }

   /**
    * @return the oseeVersion
    */
   public String getOseeVersion() {
      return oseeVersion;
   }

   /**
    * @return the oseeServerTitle
    */
   public String getOseeServerTitle() {
      return oseeServerTitle;
   }

   SystemInfoData(String osArch, String osName, String osVersion, String oseeVersion, String oseeServerTitle) {
      this.osArch = osArch;
      this.osName = osName;
      this.osVersion = osVersion;
      this.oseeVersion = oseeVersion;
      this.oseeServerTitle = oseeServerTitle;
   }

}
